Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455752 - xine: 1.1.15 update
Summary: xine: 1.1.15 update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xine-lib
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: http://xinehq.de/index.php/releases
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 15:35 UTC by acount closed by user
Modified: 2008-09-14 17:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-14 17:06:43 UTC


Attachments (Terms of Use)

Description acount closed by user 2008-07-17 15:35:35 UTC
please, do it before fedora 10.

-thanks-

Comment 1 acount closed by user 2008-08-15 07:45:14 UTC
This release (1.1.15) contains some security fixes, notably a DoS via corrupted Ogg files (CVE-2008-3231), some related fixes, and fixes for a few possible buffer overflows: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-3231

The other changes include recognition of AMR audio and Snow video.

Complete changelog: http://sourceforge.net/project/shownotes.php?release_id=619869&group_id=9655

-thanks-

Comment 2 Kevin Kofler 2008-08-15 08:12:05 UTC
Looks indeed like we'll want to upgrade to this new version ASAP, also for F9 and possibly F8 (backporting security fixes might be the other option for F8). Unfortunately, Koji is down at the moment, so we can't build anything.

Comment 3 Rex Dieter 2008-08-15 14:33:28 UTC
I'll take a look.

Comment 4 Rex Dieter 2008-08-15 15:51:44 UTC
%changelog
* Fri Aug 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.1.15-1
- xine-lib-1.1.15 (rh#455752, CVE-2008-3231)
- f9+: Obsoletes: xine-lib-arts
- move -pulseaudio into main pkg

All ready to commit/build, waiting for buildsys to come back online.

Comment 5 Fedora Update System 2008-08-22 18:57:38 UTC
xine-lib-1.1.15-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xine-lib-1.1.15-1.fc9

Comment 6 Fedora Update System 2008-09-10 07:09:17 UTC
xine-lib-1.1.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.